This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 443280 - changes of nginx.conf to allow conf.d directory
changes of nginx.conf to allow conf.d directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nginx (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-20 01:24 EDT by David Dick
Modified: 2008-05-21 07:10 EDT (History)
0 users

See Also:
Fixed In Version: 0.6.31-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 07:07:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A patch to nginx.conf to achieve the desired result (342 bytes, patch)
2008-04-20 01:24 EDT, David Dick
no flags Details | Diff

  None (edit)
Description David Dick 2008-04-20 01:24:34 EDT
Description of problem:

The current content of the nginx.conf file means that web application 
packagers cannot drop a file containing a configuration fragment into a conf.d 
directory and expect nginx to pick up the change.  Nginx has the capability to 
do "include" style commands

Version-Release number of selected component (if applicable):0.5.35-1


How reproducible:


Steps to Reproduce:
1. View /etc/nginx/nginx.conf
2.
3.
  
Actual results:

No "include conf.d/*" type statement is available

Expected results:

A "include /etc/nginx/conf.d/*.conf" should be before the default virtual host 
definition to allow a web application to be installed smoothly.

Additional info:
Comment 1 David Dick 2008-04-20 01:24:34 EDT
Created attachment 303039 [details]
A patch to nginx.conf to achieve the desired result
Comment 2 David Dick 2008-04-21 06:25:25 EDT
*zonk* patch fails when conf.d directory empty.  requires upstream fix. sorry.
Comment 3 Jeremy Hinegardner 2008-04-21 10:33:55 EDT
What if by default there are core files in conf.d? The 3 'server' sections from
the main nginx.conf, how about if they ares split into conf.d/default.conf
conf.d/ssl.conf and conf.d/virtual.conf
Comment 4 David Dick 2008-04-21 17:36:33 EDT
i like it!
Comment 5 David Dick 2008-04-21 17:46:04 EDT
actually, on second thoughts, how about the ssl.conf and virtual.conf b/c they
are commented out.  If we put a uncommented out default server section in
conf.d, it will create the possibility that the default conf file could be read
before the "web application package" conf file, meaning that the "web
application package" conf file would be the one to be ignored.
Comment 6 Jeremy Hinegardner 2008-04-21 17:49:13 EDT
That works.  I can do that.  And add in a comment above the include saying that
nginx will not start if there are no *.conf files in the conf.d directory.  I'll
also see if I can get that fixed upstream.
Comment 7 David Dick 2008-04-22 17:34:24 EDT
i've sent a patch to igor@sysoev.ru to allow "include /etc/nginx/conf.d/*.conf;"
even when the glob returns no matches.
Comment 8 David Dick 2008-04-30 07:40:52 EDT
nginx-0.6.30 has been released, with the conf.d fixes.
Comment 9 Fedora Update System 2008-05-12 02:10:34 EDT
nginx-0.6.30-1.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-05-13 00:55:45 EDT
nginx-0.6.31-1.fc8 has been submitted as an update for Fedora 8
Comment 11 Bug Zapper 2008-05-14 05:45:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora Update System 2008-05-14 17:33:17 EDT
nginx-0.6.31-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nginx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3877
Comment 13 Fedora Update System 2008-05-21 07:07:00 EDT
nginx-0.6.31-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-05-21 07:10:10 EDT
nginx-0.6.31-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.